    Program s21bbfe

!     S21BBF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: nag_wp, s21bbf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: rf, x, y, z
      Integer                          :: ifail, ix
!     .. Intrinsic Procedures ..
      Intrinsic                        :: real
!     .. Executable Statements ..
      Write (nout,*) 'S21BBF Example Program Results'

      Write (nout,*)
      Write (nout,*) '    X      Y      Z        S21BBF'
      Write (nout,*)

data: Do ix = 1, 3
        x = real(ix,kind=nag_wp)*0.5E0_nag_wp
        y = real(ix+1,kind=nag_wp)*0.5E0_nag_wp
        z = real(ix+2,kind=nag_wp)*0.5E0_nag_wp

        ifail = -1
        rf = s21bbf(x,y,z,ifail)

        If (ifail<0) Then
          Exit data
        End If

        Write (nout,99999) x, y, z, rf
      End Do data

99999 Format (1X,3F7.2,F12.4)
    End Program s21bbfe
